### Hierarchy

- Events
  - Domain

### Implemented by

- Domain

## Index

### Methods

- add
- addListener
- bind
- emit
- eventNames
- getMaxListeners
- intercept
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- remove
- removeAllListeners
- removeListener
- run
- setMaxListeners

## Methods

### add

- add(emitter: EventEmitter | Timer): void

- - Defined in node_modules/@types/node/globals.d.ts:627

  #### Parameters

  - ##### emitter: EventEmitter | Timer

  #### Returns void

### addListener

- addListener(event: string, listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:632

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### bind

- bind<T>(cb: T): T

- - Defined in node_modules/@types/node/globals.d.ts:629

  #### Type parameters

  - #### T: Function

  #### Parameters

  - ##### cb: T

  #### Returns T

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:589

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### intercept

- intercept<T>(cb: T): T

- - Defined in node_modules/@types/node/globals.d.ts:630

  #### Type parameters

  - #### T: Function

  #### Parameters

  - ##### cb: T

  #### Returns T

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:633

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:634

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:592

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:593

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### remove

- remove(emitter: EventEmitter | Timer): void

- - Defined in node_modules/@types/node/globals.d.ts:628

  #### Parameters

  - ##### emitter: EventEmitter | Timer

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: undefined | string): this

- Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:636

  #### Parameters

  - ##### Optional event: undefined | string

  #### Returns this

### removeListener

- removeListener(event: string, listener: function): this

- Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:635

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### run

- run<T>(fn: function, ...args: any[]): T

- - Defined in node_modules/@types/node/globals.d.ts:626

  #### Type parameters

  - #### T

  #### Parameters

  - ##### fn: function

    - - (...args: any[]): T

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns T

  - ##### Rest ...args: any[]

  #### Returns T

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

Generated using TypeDoc